#!/bin/sh

if [ "$#" -ne 1 ]; then
    echo 'Need output file.'
    exit 1
fi

OUTPUT="${1}"

gst-launch-1.0 -v v4l2src "device=/dev/video2"                                          ! \
               "video/x-h264,framerate=15/1,width=1920,height=1080"                       ! \
               h264parse                                                                ! \
               queue "max-size-buffers=0" "max-size-bytes=0" "max-size-time=1000000000" ! \
               tee "name=tee"                                                           ! \
               queue "leaky=1"                                                          ! \
               avdec_h264                                                               ! \
               queue "max-size-buffers=0" "max-size-bytes=0" "max-size-time=1000000000" ! \
               xvimagesink "sync=false" "tee."                                          ! \
               queue "max-size-buffers=0" "max-size-bytes=0" "max-size-time=1000000000" ! \
               mux. pulsesrc "device=1"                                                 ! \
               "audio/x-raw,format=S16LE,rate=8000,channels=2"                       ! \
               audioconvert                                                            ! \
               queue "max-size-buffers=0" "max-size-bytes=0" "max-size-time=1000000000" ! \
               avenc_aac                                                                ! \
               mux. mpegtsmux "name=mux"                                                ! \
               queue "max-size-buffers=0" "max-size-bytes=0" "max-size-time=1000000000" ! \
               filesink "location=${OUTPUT}"
